org.apache.torque.util.functions

## Class CountTest

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - org.apache.torque.util.functions.CountTest

- All Implemented Interfaces:
    junit.framework.Test

      public class CountTest
      extends junit.framework.TestCase

  Tests the Count class.
  Version:
    $Id: CountTest.java 1448414 2013-02-20 21:06:35Z tfischer $

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CountTest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `testCount()` Tests the Count constructor with a column returns the correct SQL.
    `void` | `testCountFromString()` Tests the Count constructor with a column returns the correct SQL.
    `void` | `testCountWithDistinct()` Tests the Count constructor with distinct returns the correct SQL.
    `void` | `testSetFunction()` tests that setFunction throws a

    - ### Methods inherited from class junit.framework.TestCase

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, countTestCases, createResult, fail, fail, failNotEquals, failNotSame, failSame, format, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CountTest

          public CountTest()

  - ### Method Detail

    - #### testCount

          public void testCount()

      Tests the Count constructor with a column returns the correct SQL.

    - #### testCountFromString

          public void testCountFromString()

      Tests the Count constructor with a column returns the correct SQL.

    - #### testCountWithDistinct

          public void testCountWithDistinct()

      Tests the Count constructor with distinct returns the correct SQL.

    - #### testSetFunction

          public void testSetFunction()

      tests that setFunction throws a

Copyright © 2000–2020 The Apache Software Foundation. All rights reserved.